package com.weilab.biology.core.data.vo.result.error;

import com.weilab.biology.core.data.vo.result.ResultError;

/**
 * Created by skyyemperor on 2021-09-19
 * Description :
 */
public enum JobError implements ResultError {
    PARAM_CAN_NOT_BE_EMPTY(40100, "文本框和文件不能同时为空"),
    FILE_READ_FAIL(40101, "文件读取出错"),
    STATUS_UPDATE_FAIL(40102,"当前状态下不允许更新为指定状态"),
    ;

    private int code;

    private String message;


    private JobError(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
